<div class="flex-center column">
    <div class="collection-controls flex-center row">

        <button *ngIf="showFilters"
                (click)="onFiltersButtonClick()"
                [ngClass]="{'active': filtersPanelShown}"
                class="button non-a-button medium">
            Show Filters
        </button>

        <button class="button non-a-button medium" (click)="revertPage()">
            Revert page
        </button>

        <label *ngIf="model.searchFilter">
            Search:
            <input (keyup)="onSearch($event)"
                   [(ngModel)]="model.searchFilter.value"
                   [placeholder]="model.searchFilter.title + ' (Enter)'"
                   type="search">
        </label>
    </div>

    <app-group-box *ngIf="filtersPanelShown" [title]="'Query editor'">
        <div class="flex-center row">
            <button style="margin: 1em" class="button non-a-button medium @SimpleButtonActiveClass"
                    [ngClass]="{'active': !advancedShown}" (click)="onSimpleClicked()">
                Simple
            </button>
            <button class="button non-a-button medium" [ngClass]="{'active': advancedShown}"
                    (click)="onAdvancedClicked()">
                Advanced
            </button>
        </div>

        <div *ngIf="filtersPanelShown">
            <app-collection-filters *ngIf="!advancedShown; else filterPool" (submitted)="onFiltersSubmitted($event)"
                                    [query]="model.simpleQuery">
            </app-collection-filters>
            <ng-template #filterPool>
                <app-filter-pool [query]="model.advancedQuery"
                                 [availableFilters]="model.availableFilters"
                                 (submitted)="onFiltersSubmitted($event)"></app-filter-pool>
            </ng-template>
        </div>

    </app-group-box>
    <p>Records found: {{valueConverter.toStringSI(model.totalItemCount, '')}}, Pages: {{model.pageCount}}</p>
</div>

<div *ngIf="model.collection; else contentElseBlock">
    <ul>
        <li *ngFor="let item of model.collection" class="collection-item">
            <ng-container *ngTemplateOutlet="itemTemplate; context: {context: item}"></ng-container>
        </li>
    </ul>
</div>

<ng-template #contentElseBlock>
    <app-loading-indicator></app-loading-indicator>
</ng-template>

<app-paging *ngIf="model.pageCount"
            (pageChanged)="onPageChange($event)"
            [currentPage]="model.currentPage"
            [pagesCount]="model.pageCount"
>
</app-paging>
